package com.chushang.inspection.work.service;

import com.chushang.common.core.web.AjaxResult;
import com.chushang.common.core.web.Result;
import com.chushang.common.mybatis.utils.PageResult;
import com.chushang.inspection.work.dto.WrkInfoPhoneImportDTO;
import com.chushang.inspection.work.po.WrkInfoPhone;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chushang.inspection.work.query.WrkInfoQuery;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @auther: zhao
 * @date: 2024/6/26 17:26
 */
public interface WrkInfoPhoneService extends IService<WrkInfoPhone> {


    PageResult pageList(WrkInfoQuery query);

    List<WrkInfoPhoneImportDTO> importRead(MultipartFile file);

    AjaxResult importSave(List<WrkInfoPhoneImportDTO> importReadList, Long taskId, Long lowerTaskId);

    Long saveInfo(WrkInfoPhoneImportDTO info, Long taskId, Long lowerTaskId);

    Long updateInfo(WrkInfoPhoneImportDTO info, Long wrkId);

    Result<String> savePhoneInfo(String params);
}
